Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class ParticipationIndirectTarget

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.ParticipationIndirectTarget

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class ParticipationIndirectTarget

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Participation Indirect Target', and utility methods for working with them. specDomain: V19032 (C-0-D10901-V19032-cpt)

See Also:
  `CDAR2Package.getParticipationIndirectTarget()`

Field Summary
`static int` | `BEN` The 'BEN' literal value.
`static ParticipationIndirectTarget` | `BEN_LITERAL` The 'BEN' literal object.
`static int` | `COV` The 'COV' literal value.
`static ParticipationIndirectTarget` | `COV_LITERAL` The 'COV' literal object.
`static int` | `HLD` The 'HLD' literal value.
`static ParticipationIndirectTarget` | `HLD_LITERAL` The 'HLD' literal object.
`static int` | `IND` The 'IND' literal value.
`static ParticipationIndirectTarget` | `IND_LITERAL` The 'IND' literal object.
`static int` | `RCT` The 'RCT' literal value.
`static ParticipationIndirectTarget` | `RCT_LITERAL` The 'RCT' literal object.
`static int` | `RCV` The 'RCV' literal value.
`static ParticipationIndirectTarget` | `RCV_LITERAL` The 'RCV' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Participation Indirect Target' enumerators.

Method Summary
`static ParticipationIndirectTarget` | `get(int value)` Returns the 'Participation Indirect Target' literal with the specified integer value.
`static ParticipationIndirectTarget` | `get(java.lang.String literal)` Returns the 'Participation Indirect Target' literal with the specified literal value.
`static ParticipationIndirectTarget` | `getByName(java.lang.String name)` Returns the 'Participation Indirect Target' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IND

    public static final int IND

  The 'IND' literal value.

  If the meaning of 'IND' literal object isn't clear, there really should be more of a description here...

  See Also:
    `IND_LITERAL`, Constant Field Values

### BEN

    public static final int BEN

  The 'BEN' literal value.

  If the meaning of 'BEN' literal object isn't clear, there really should be more of a description here...

  See Also:
    `BEN_LITERAL`, Constant Field Values

### COV

    public static final int COV

  The 'COV' literal value.

  If the meaning of 'COV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `COV_LITERAL`, Constant Field Values

### HLD

    public static final int HLD

  The 'HLD' literal value.

  If the meaning of 'HLD' literal object isn't clear, there really should be more of a description here...

  See Also:
    `HLD_LITERAL`, Constant Field Values

### RCT

    public static final int RCT

  The 'RCT' literal value.

  If the meaning of 'RCT' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RCT_LITERAL`, Constant Field Values

### RCV

    public static final int RCV

  The 'RCV' literal value.

  If the meaning of 'RCV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `RCV_LITERAL`, Constant Field Values

### IND_LITERAL

    public static final ParticipationIndirectTarget IND_LITERAL

  The 'IND' literal object.

  See Also:
    `IND`

### BEN_LITERAL

    public static final ParticipationIndirectTarget BEN_LITERAL

  The 'BEN' literal object.

  See Also:
    `BEN`

### COV_LITERAL

    public static final ParticipationIndirectTarget COV_LITERAL

  The 'COV' literal object.

  See Also:
    `COV`

### HLD_LITERAL

    public static final ParticipationIndirectTarget HLD_LITERAL

  The 'HLD' literal object.

  See Also:
    `HLD`

### RCT_LITERAL

    public static final ParticipationIndirectTarget RCT_LITERAL

  The 'RCT' literal object.

  See Also:
    `RCT`

### RCV_LITERAL

    public static final ParticipationIndirectTarget RCV_LITERAL

  The 'RCV' literal object.

  See Also:
    `RCV`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Participation Indirect Target' enumerators.

Method Detail

### get

    public static ParticipationIndirectTarget get(java.lang.String literal)

  Returns the 'Participation Indirect Target' literal with the specified literal value.

### getByName

    public static ParticipationIndirectTarget getByName(java.lang.String name)

  Returns the 'Participation Indirect Target' literal with the specified name.

### get

    public static ParticipationIndirectTarget get(int value)

  Returns the 'Participation Indirect Target' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD